Commit 442f4769 authored by Leena Miettinen's avatar Leena Miettinen

Doc: Qt Quick Designer now supports Qt Quick 2

Change-Id: I36c857af142df077bbf8aa05c1785edf8a6a6373
Reviewed-by: default avatarThomas Hartmann <Thomas.Hartmann@digia.com>
parent f228db98
......@@ -42,9 +42,6 @@
You can either create Qt Quick projects from scratch or import
existing projects to \QC. You can use the code editor (Edit mode)
or the visual editor (Design mode) to develop Qt Quick applications.
However, the visual editor only supports Qt Quick 1, which is
offered in Qt 5 only for compatibility with Qt 4. We recommend that
you use Qt Quick 2 for new Qt 5 applications.
\li \l{Developing Widget Based Applications}
Widgets and forms created with \QD are integrated seamlessly with
......
......@@ -36,7 +36,7 @@
You can use the code editor (\l{Working in Edit Mode}{Edit mode}) or the
visual editor (\l{Using Qt Quick Designer}{Design mode}) to develop Qt Quick
applications.However, the visual editor only supports Qt Quick 1.
applications.
Typically, application development proceeds as follows:
......
......@@ -30,11 +30,8 @@
\title Creating a Qt Quick 1 Application
\note \QMLD only supports Qt Quick 1, which is offered in Qt 5 only for
compatibility with Qt 4. We recommend that you use Qt Quick 2 for new
Qt 5 applications. You can use the code editor in the \gui Design mode to
develop Qt Quick 2 applications. For more information, see the Qt 5
documentation.
\note We recommend that you use Qt Quick 2 to develop new applications for
platforms that run Qt 5.
This tutorial uses built-in QML elements and illustrates basic concepts of
\l {http://qt-project.org/doc/qt-4.8/qtquick.html}{Qt Quick 1}.
......
......@@ -32,7 +32,15 @@
You can edit .qml files in the \QMLD visual editor or in the code editor.
\note \QMLD only supports Qt Quick 1.
\note In \QC 2.7, \QMLD supports both Qt Quick 1 and Qt Quick 2. However,
the \QC packages that are not delivered with Qt 5 are still built with
Qt 4.8, and therefore do not contain qml2puppet, which is the external
process that is responsible for rendering Qt Quick 2. To develop Qt Quick 2
applications using \QMLD, download the Qt 5.0.1 packages and build
qml2puppet yourself. The sources for qml2puppet are located in
\c{qt-creator\share\qtcreator\qml\qmlpuppet\qml2puppet}. The qml2puppet is
installed to \c{qtbase\bin}. If you then configure Qt 5.0.1 for your
project, \QMLD picks up the qml2puppet and supports Qt Quick 2.0.
In \gui Projects, double-click a .qml file to open it in the code editor.
Then select the \gui {Design} mode to edit the file in the visual editor.
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment